# Form implementation generated from reading ui file 'src/eric7/Plugins/VcsPlugins/vcsMercurial/HgSummaryDialog.ui'
#
# Created by: PyQt6 UI code generator 6.7.0
#
# WARNING: Any manual changes made to this file will be lost when pyuic6 is
# run again.  Do not edit this file unless you know what you are doing.


from PyQt6 import QtCore, QtGui, QtWidgets


class Ui_HgSummaryDialog(object):
    def setupUi(self, HgSummaryDialog):
        HgSummaryDialog.setObjectName("HgSummaryDialog")
        HgSummaryDialog.resize(600, 500)
        HgSummaryDialog.setSizeGripEnabled(True)
        self.verticalLayout = QtWidgets.QVBoxLayout(HgSummaryDialog)
        self.verticalLayout.setObjectName("verticalLayout")
        self.summary = QtWidgets.QTextEdit(parent=HgSummaryDialog)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Policy.Expanding, QtWidgets.QSizePolicy.Policy.Expanding)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(2)
        sizePolicy.setHeightForWidth(self.summary.sizePolicy().hasHeightForWidth())
        self.summary.setSizePolicy(sizePolicy)
        self.summary.setReadOnly(True)
        self.summary.setObjectName("summary")
        self.verticalLayout.addWidget(self.summary)
        self.errorGroup = QtWidgets.QGroupBox(parent=HgSummaryDialog)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Policy.Preferred, QtWidgets.QSizePolicy.Policy.Expanding)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(1)
        sizePolicy.setHeightForWidth(self.errorGroup.sizePolicy().hasHeightForWidth())
        self.errorGroup.setSizePolicy(sizePolicy)
        self.errorGroup.setObjectName("errorGroup")
        self.vboxlayout = QtWidgets.QVBoxLayout(self.errorGroup)
        self.vboxlayout.setObjectName("vboxlayout")
        self.errors = QtWidgets.QTextEdit(parent=self.errorGroup)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Policy.Expanding, QtWidgets.QSizePolicy.Policy.Expanding)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.errors.sizePolicy().hasHeightForWidth())
        self.errors.setSizePolicy(sizePolicy)
        self.errors.setReadOnly(True)
        self.errors.setAcceptRichText(False)
        self.errors.setObjectName("errors")
        self.vboxlayout.addWidget(self.errors)
        self.verticalLayout.addWidget(self.errorGroup)
        self.buttonBox = QtWidgets.QDialogButtonBox(parent=HgSummaryDialog)
        self.buttonBox.setOrientation(QtCore.Qt.Orientation.Horizontal)
        self.buttonBox.setStandardButtons(QtWidgets.QDialogButtonBox.StandardButton.Close)
        self.buttonBox.setObjectName("buttonBox")
        self.verticalLayout.addWidget(self.buttonBox)

        self.retranslateUi(HgSummaryDialog)
        self.buttonBox.accepted.connect(HgSummaryDialog.accept) # type: ignore
        self.buttonBox.rejected.connect(HgSummaryDialog.reject) # type: ignore
        QtCore.QMetaObject.connectSlotsByName(HgSummaryDialog)
        HgSummaryDialog.setTabOrder(self.summary, self.errors)
        HgSummaryDialog.setTabOrder(self.errors, self.buttonBox)

    def retranslateUi(self, HgSummaryDialog):
        _translate = QtCore.QCoreApplication.translate
        HgSummaryDialog.setWindowTitle(_translate("HgSummaryDialog", "Summary Information"))
        self.errorGroup.setTitle(_translate("HgSummaryDialog", "Errors"))
